about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rw-r--r--CHANGES5
-rw-r--r--config.hin3
-rwxr-xr-xconfigure97
-rw-r--r--configure.in3
4 files changed, 56 insertions, 52 deletions
diff --git a/CHANGES b/CHANGES
index 8b539e40..16d12f2b 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,9 +1,10 @@
--- $LynxId: CHANGES,v 1.1041 2020/02/25 01:47:59 tom Exp $
+-- $LynxId: CHANGES,v 1.1042 2020/02/25 10:16:56 tom Exp $
 ===============================================================================
 Changes since Lynx 2.8 release
 ===============================================================================
 
-2020-02-24 (2.9.0dev.5)
+2020-02-25 (2.9.0dev.5)
+* use curses_exit() from ncurses 6.2 for leak-checking -TD
 * amend workaround in 2.8.6dev.19 for "-notitle" option, fixing an off-by-one
   display (report by Keith Bowes) -TD
 * add/adapt changes from Keith Bowes' github:
diff --git a/config.hin b/config.hin
index 64099603..e8379f9e 100644
--- a/config.hin
+++ b/config.hin
@@ -1,5 +1,5 @@
 /*
- * $LynxId: config.hin,v 1.146 2019/07/31 23:31:32 tom Exp $
+ * $LynxId: config.hin,v 1.147 2020/02/25 10:15:54 tom Exp $
  * vile:cmode
  *
  * The configure script translates "config.hin" into "lynx_cfg.h"
@@ -64,6 +64,7 @@
 #undef HAVE_CBREAK
 #undef HAVE_CTERMID
 #undef HAVE_CURSESX_H
+#undef HAVE_CURSES_EXIT		/* ncurses debugging extension */
 #undef HAVE_CURSES_VERSION	/* CF_FUNC_CURSES_VERSION */
 #undef HAVE_CUSERID
 #undef HAVE_DCGETTEXT		/* AM_GNU_GETTEXT */
diff --git a/configure b/configure
index 01dd40cf..a66affc2 100755
--- a/configure
+++ b/configure
@@ -46859,18 +46859,19 @@ EOF
 done
 
 for ac_func in \
+		curses_exit \
 		_nc_free_and_exit \
 		_nc_freeall \
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:46867: checking for $ac_func" >&5
+echo "$as_me:46868: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 46873 "configure"
+#line 46874 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -46901,16 +46902,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:46904: \"$ac_link\"") >&5
+if { (eval echo "$as_me:46905: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:46907: \$? = $ac_status" >&5
+  echo "$as_me:46908: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:46910: \"$ac_try\"") >&5
+  { (eval echo "$as_me:46911: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:46913: \$? = $ac_status" >&5
+  echo "$as_me:46914: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -46920,7 +46921,7 @@ eval "$as_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:46923: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:46924: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -46934,12 +46935,12 @@ fi
 
 if test $use_color_style != no ; then
 	if test .$cf_cv_color_curses != .yes ; then
-		{ { echo "$as_me:46937: error: Configuration does not support color-styles" >&5
+		{ { echo "$as_me:46938: error: Configuration does not support color-styles" >&5
 echo "$as_me: error: Configuration does not support color-styles" >&2;}
    { (exit 1); exit 1; }; }
 	fi
 	if test $cf_cv_screen = slang ; then
-		{ { echo "$as_me:46942: error: Configuration does not support color-styles" >&5
+		{ { echo "$as_me:46943: error: Configuration does not support color-styles" >&5
 echo "$as_me: error: Configuration does not support color-styles" >&2;}
    { (exit 1); exit 1; }; }
 	fi
@@ -46947,7 +46948,7 @@ fi
 
 if test $use_scrollbar != no ; then
 	if test .$cf_cv_fancy_curses != .yes ; then
-		{ echo "$as_me:46950: WARNING: Configuration does not support ACS_xxx definitions" >&5
+		{ echo "$as_me:46951: WARNING: Configuration does not support ACS_xxx definitions" >&5
 echo "$as_me: WARNING: Configuration does not support ACS_xxx definitions" >&2;}
 	else
 
@@ -46960,7 +46961,7 @@ fi
 
 # use rpath for libraries in unusual places
 
-echo "$as_me:46963: checking if rpath-hack should be disabled" >&5
+echo "$as_me:46964: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -46977,21 +46978,21 @@ else
 	cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:46980: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:46981: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:46984: checking for updated LDFLAGS" >&5
+echo "$as_me:46985: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:46987: result: maybe" >&5
+	echo "$as_me:46988: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:46994: checking for $ac_word" >&5
+echo "$as_me:46995: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -47006,7 +47007,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:47009: found $ac_dir/$ac_word" >&5
+echo "$as_me:47010: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -47014,10 +47015,10 @@ fi
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:47017: result: $cf_ldd_prog" >&5
+  echo "$as_me:47018: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:47020: result: no" >&5
+  echo "$as_me:47021: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -47031,7 +47032,7 @@ test -n "$cf_ldd_prog" || cf_ldd_prog="no"
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 47034 "configure"
+#line 47035 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -47043,16 +47044,16 @@ printf("Hello");
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:47046: \"$ac_link\"") >&5
+if { (eval echo "$as_me:47047: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:47049: \$? = $ac_status" >&5
+  echo "$as_me:47050: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:47052: \"$ac_try\"") >&5
+  { (eval echo "$as_me:47053: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:47055: \$? = $ac_status" >&5
+  echo "$as_me:47056: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -47080,7 +47081,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:47083: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:47084: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -47092,11 +47093,11 @@ echo "${as_me:-configure}:47083: testing ...adding -L$cf_rpath_dir/lib to LDFLAG
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47095: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47096: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47099: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47100: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -47133,7 +47134,7 @@ do
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:47136: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:47137: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -47146,11 +47147,11 @@ LDFLAGS=$cf_rpath_dst
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47149: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47150: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:47153: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:47154: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -47187,7 +47188,7 @@ do
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:47190: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:47191: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -47200,14 +47201,14 @@ LIBS=$cf_rpath_dst
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:47203: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:47204: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47207: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47208: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:47210: result: no" >&5
+	echo "$as_me:47211: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -47314,7 +47315,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:47317: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:47318: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -47490,7 +47491,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:47493: error: ambiguous option: $1
+    { { echo "$as_me:47494: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -47509,7 +47510,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:47512: error: unrecognized option: $1
+  -*) { { echo "$as_me:47513: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -47562,7 +47563,7 @@ do
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "$CONFIG_H" ) CONFIG_HEADERS="$CONFIG_HEADERS $CONFIG_H:config.hin" ;;
-  *) { { echo "$as_me:47565: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:47566: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -47916,7 +47917,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:47919: creating $ac_file" >&5
+    { echo "$as_me:47920: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -47934,7 +47935,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:47937: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:47938: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -47947,7 +47948,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:47950: error: cannot find input file: $f" >&5
+           { { echo "$as_me:47951: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -47963,7 +47964,7 @@ cat >>$CONFIG_STATUS <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:47966: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:47967: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -47972,7 +47973,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:47975: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:47976: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -48009,7 +48010,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:48012: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:48013: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -48020,7 +48021,7 @@ $ac_seen" >&2;}
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:48023: WARNING: Some variables may not be substituted:
+      { echo "$as_me:48024: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -48069,7 +48070,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:48072: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:48073: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -48080,7 +48081,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:48083: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:48084: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -48093,7 +48094,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:48096: error: cannot find input file: $f" >&5
+           { { echo "$as_me:48097: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -48211,7 +48212,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:48214: $ac_file is unchanged" >&5
+      { echo "$as_me:48215: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/configure.in b/configure.in
index ec91ea9e..5f161c28 100644
--- a/configure.in
+++ b/configure.in
@@ -1,4 +1,4 @@
-dnl $LynxId: configure.in,v 1.314 2020/01/21 23:38:32 tom Exp $
+dnl $LynxId: configure.in,v 1.315 2020/02/25 10:14:21 tom Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -1537,6 +1537,7 @@ if test $cf_cv_screen != slang ; then
 		wresize \
 		)
 	AC_CHECK_FUNCS( \
+		curses_exit \
 		_nc_free_and_exit \
 		_nc_freeall \
 		)